//---------------------------------------------------------------------------
#ifndef MonitorFormH
#define MonitorFormH
//---------------------------------------------------------------------------
#include "VTreeHolder.h"    
#include <Buttons.hpp>
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include <Buttons.hpp>
#include "VirtualTrees.hpp"
#include "ThemeMgr.hpp"
//---------------------------------------------------------------------------
class TMonitorForm : public TForm
{
  __published: // IDE-managed Components
        TImageList *ImageList3;
        TPanel *Panel2;
        TVirtualStringTree *VirtualStringTree1;
        TPanel *Panel1;
        TBitBtn *BitBtn1;
        
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        
        void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
        
  private: // User declarations
        Graphics::TBitmap *Pict;

        TVTreeHolderOperator *VTVHOperator;
  public: // User declarations

        __fastcall TMonitorForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMonitorForm *MonitorForm;
//---------------------------------------------------------------------------
#endif
